﻿using Microsoft.AspNetCore.Components;
using Microsoft.Extensions.Configuration.UserSecrets;
using WF_WebAdmin.Model;

namespace WF_WebAdmin.Pages
{
    public partial class DeleteUser
    {
        private List<User> users;


        private bool showPopup = false;
        private User userToDelete = null;
        [Inject]
        public HttpClient Http { get; set; }

        [Inject]
        public NavigationManager NavigationManager { get; set; }

        protected override async Task OnInitializedAsync()
        {
            users = await Http.GetFromJsonAsync<List<User>>($"{NavigationManager.BaseUri}fake-dataUser.json");
        }




        private void ShowConfirmation(User user)
        {
            // Afficher la modale et mémoriser l'utilisateur à supprimer
            userToDelete = user;
            showPopup = true;
        }



        private async Task RemoveUser()
        {
            if (userToDelete != null)
            {
                users.RemoveAll(u => u.Id == userToDelete.Id);
                ClosePopup();
            }
        }

        private void ClosePopup()
        {
            showPopup = false;
        }
    }

}
